Bug 239919 - www/gohugo: Update to 0.57.1, switch to USES=go:modules
Summary: www/gohugo: Update to 0.57.1, switch to USES=go:modules
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-16 22:04 UTC by Dmitri Goutnik
Modified: 2019-08-30 13:26 UTC (History)
1 user (show)

See Also:
ben.lavery: maintainer-feedback+


Attachments
patch file (39.12 KB, patch)
2019-08-16 22:04 UTC, Dmitri Goutnik
ben.lavery: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-08-16 22:04:52 UTC
Created attachment 206627 [details]
patch file

- Update 0.55.6 -> 0.57.1
- Switch to USES=go:modules, this also fixes the build with upcoming go1.13
- Remove custom build/install targets

QA:
  poudriere testport: OK (120a-go1.12.8, 120a-go-devel)
Comment 1 ben.lavery@hashbang0.com 2019-08-26 17:39:19 UTC
Comment on attachment 206627 [details]
patch file

Apologies it took a long time to get to this.

Many thanks for this work!
Comment 2 commit-hook freebsd_committer 2019-08-30 13:02:35 UTC
A commit references this bug:

Author: tobik
Date: Fri Aug 30 13:02:05 UTC 2019
New revision: 510270
URL: https://svnweb.freebsd.org/changeset/ports/510270

Log:
  www/gohugo: Update to 0.57.1

  - Switch to USES=go:modules, this also fixes the build with upcoming go1.13
  - Remove custom build/install targets

  PR:		239919
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	ben.lavery@hashbang0.com (maintainer)

Changes:
  head/www/gohugo/Makefile
  head/www/gohugo/distinfo